JTS Topology Suite version 1.13

## com.vividsolutions.jts.shape.fractal
Class KochSnowflakeBuilder

    java.lang.Object
      com.vividsolutions.jts.shape.GeometricShapeBuilder
          com.vividsolutions.jts.shape.fractal.KochSnowflakeBuilder

    public class KochSnowflakeBuilder

extends GeometricShapeBuilder

Field Summary

Fields inherited from class com.vividsolutions.jts.shape.GeometricShapeBuilder
`extent, geomFactory, numPts`

Constructor Summary
`KochSnowflakeBuilder(GeometryFactory geomFactory)`

Method Summary
`void` `addSide(int level, Coordinate p0, Coordinate p1)`
`Geometry` `getGeometry()`
`static int` `recursionLevelForSize(int numPts)`

Methods inherited from class com.vividsolutions.jts.shape.GeometricShapeBuilder
`createCoord, getCentre, getDiameter, getExtent, getRadius, getSquareBaseLine, getSquareExtent, setExtent, setNumPoints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KochSnowflakeBuilder

    public KochSnowflakeBuilder(GeometryFactory geomFactory)

Method Detail

### recursionLevelForSize

    public static int recursionLevelForSize(int numPts)

### getGeometry

    public Geometry getGeometry()

  Specified by:
    `getGeometry` in class `GeometricShapeBuilder`

### addSide

    public void addSide(int level,
                        Coordinate p0,
                        Coordinate p1)

JTS Topology Suite version 1.13